searchData={"items":[{"type":"module","title":"JSend","doc":"JSend API response structure.\n\nRead the specification at [omniti-labs/jsend](https://github.com/omniti-labs/jsend).","ref":"JSend.html"},{"type":"function","title":"JSend.error/3","doc":"Constructs an error response.","ref":"JSend.html#error/3"},{"type":"function","title":"Examples - JSend.error/3","doc":"iex> JSend.error(\"Internal server error\")\n    %JSend{status: \"error\", data: %{}, code: nil, message: \"Internal server error\"}\n\n    iex> JSend.error(\"Internal server error\", 500)\n    %JSend{status: \"error\", data: %{}, code: 500, message: \"Internal server error\"}\n\n    iex> JSend.error(\"Internal server error\", 500, %{request: :econnrefused})\n    %JSend{\n      status: \"error\", \n      data: %{request: :econnrefused}, \n      code: 500, \n      message: \"Internal server error\"\n    }","ref":"JSend.html#error/3-examples"},{"type":"function","title":"JSend.fail/1","doc":"Constructs a failure response.","ref":"JSend.html#fail/1"},{"type":"function","title":"Examples - JSend.fail/1","doc":"iex> JSend.fail()\n    %JSend{status: \"fail\", data: %{}, code: nil, message: nil}\n\n    iex> JSend.fail(%{name: \"too short\"})\n    %JSend{status: \"fail\", data: %{name: \"too short\"}, code: nil, message: nil}","ref":"JSend.html#fail/1-examples"},{"type":"function","title":"JSend.success/1","doc":"Constructs a success response.","ref":"JSend.html#success/1"},{"type":"function","title":"Examples - JSend.success/1","doc":"iex> JSend.success()\n    %JSend{status: \"success\", data: %{}, code: nil, message: nil}\n\n    iex> JSend.success(%{id: 1})\n    %JSend{status: \"success\", data: %{id: 1}, code: nil, message: nil}","ref":"JSend.html#success/1-examples"},{"type":"type","title":"JSend.t/0","doc":"","ref":"JSend.html#t:t/0"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),\nand this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).","ref":"changelog.html"},{"type":"extras","title":"v0.1.0 - 2024-12-26 - Changelog","doc":"Initial release.","ref":"changelog.html#v0-1-0-2024-12-26"},{"type":"extras","title":"License","doc":"MIT License\n\nCopyright (c) 2024 Codedge LLC (https://www.codedge.io/)\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}